Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.io
Class IRhino3dm.Brep

    java.lang.Object
      igeo.io.IRhino3dm.RhinoObject
          igeo.io.IRhino3dm.Geometry
              igeo.io.IRhino3dm.Brep

Enclosing class:
  IRhino3dm

    public static class IRhino3dm.Brep

extends IRhino3dm.Geometry

Field Summary
`IRhino3dm.BoundingBox` | `bbox`
`IRhino3dm.CurveArray` | `curves2`
`IRhino3dm.CurveArray` | `curves3`
`IRhino3dm.BrepEdgeArray` | `edges`
`IRhino3dm.BrepFaceArray` | `faces`
`java.util.ArrayList<java.util.ArrayList<ICurveGeo>>` | `icurves3`
`int` | `isSolid`
`java.util.ArrayList<ISurfaceGeo>` | `isurfaces`
`IRhino3dm.BrepLoopArray` | `loops`
`IRhino3dm.SurfaceArray` | `surfaces`
`IRhino3dm.BrepTrimArray` | `trims`
`static java.lang.String` | `uuid`
`IRhino3dm.BrepVertexArray` | `vertices`

Fields inherited from class igeo.io.IRhino3dm.RhinoObject
`attributes, objectTypeAnnotation, objectTypeAny, objectTypeBeam, objectTypeBrep, objectTypeCage, objectTypeClipPlane, objectTypeCurve, objectTypeDetail, objectTypeEdgeFilter, objectTypeExtrusion, objectTypeGrip, objectTypeHatch, objectTypeInstanceDefinition, objectTypeInstanceReference, objectTypeLayer, objectTypeLight, objectTypeLoop, objectTypeMaterial, objectTypeMesh, objectTypeMeshEdge, objectTypeMeshFace, objectTypeMeshVertex, objectTypeMorphControl, objectTypePhantom, objectTypePoint, objectTypePointset, objectTypePolyledgeFilter, objectTypePolysrfFilter, objectTypeSurface, objectTypeTextDot, objectTypeUnknown, objectTypeUserData`

Constructor Summary
`IRhino3dm.Brep()`
`IRhino3dm.Brep(IBrep brep)`
`IRhino3dm.Brep(ISurfaceGeo srf)`

Method Summary
`void` | `addSingleSurface(ISurfaceGeo srf, IBounds ibbox)`
`void` | `addSurface(ISurfaceGeo srf, IBounds ibbox)`
`static void` | `checkTrimLoopDirection(java.util.ArrayList<java.util.ArrayList<ITrimCurve>> trimLoops, java.util.ArrayList<IRhino3dm.BrepLoop.Type> loopType)`
`IObject` | `createIObject(IRhino3dm.Rhino3dmFile context, IServerI s)`
`IRhino3dm.BrepEdge` | `getBrepEdge(IRhino3dm.Curve c)`
`IRhino3dm.BrepTrim` | `getBrepTrim(IRhino3dm.BrepEdge edge)`
`IRhino3dm.UUID` | `getClassUUID()`
`IRhino3dm.Curve` | `getCurve3(ICurveGeo crv)`
`IRhino3dm.CurveArray` | `getCurves2ForLoop(IRhino3dm.BrepLoop loop)`
`IRhino3dm.BrepLoopArray` | `getLoopsForFace(int faceIndex)`
`ICurveGeo` | `getSharedICurve(ICurveGeo crv, ISurfaceGeo currentSrf)`
`IRhino3dm.BrepVertex` | `getSharedVertex(IVec pt)`
`IRhino3dm.BrepVertex` | `getSharedVertex(IVec pt, double reso)`
`java.util.ArrayList<ITrimCurve>` | `getTrimCurvesForLoop(IRhino3dm.BrepLoop loop, IRhino3dm.Rhino3dmFile context, IServerI s, ISurfaceI srf)`
`void` | `getTrimLoops(ISurfaceGeo srf, java.util.ArrayList<java.util.ArrayList<ITrimCurve>> trimLoops, java.util.ArrayList<IRhino3dm.BrepLoop.Type> loopType)`
`IRhino3dm.BrepTrimArray` | `getTrimsForLoop(IRhino3dm.BrepLoop loop)`
`int` | `getType()`
`boolean` | `isEdgeTouching(ICurveGeo crv1, ICurveGeo crv2)`
`boolean` | `isEdgeTouching(ICurveGeo crv1, ICurveGeo crv2, double reso)`
`void` | `read(IRhino3dm.Rhino3dmFile context, java.io.InputStream is)`
`void` | `readOld200(IRhino3dm.Rhino3dmFile context, java.io.InputStream is)`
`void` | `write(IRhino3dm.Rhino3dmFile context, java.io.OutputStream os, java.util.zip.CRC32 crc)`

Methods inherited from class igeo.io.IRhino3dm.RhinoObject
`read, setAttributes, setAttributesToIObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### uuid

    public static final java.lang.String uuid

See Also:
  Constant Field Values

### curves2

    public IRhino3dm.CurveArray curves2

### curves3

    public IRhino3dm.CurveArray curves3

### surfaces

    public IRhino3dm.SurfaceArray surfaces

### vertices

    public IRhino3dm.BrepVertexArray vertices

### edges

    public IRhino3dm.BrepEdgeArray edges

### trims

    public IRhino3dm.BrepTrimArray trims

### loops

    public IRhino3dm.BrepLoopArray loops

### faces

    public IRhino3dm.BrepFaceArray faces

### bbox

    public IRhino3dm.BoundingBox bbox

### isSolid

    public int isSolid

### icurves3

    public java.util.ArrayList<java.util.ArrayList<ICurveGeo>> icurves3

### isurfaces

    public java.util.ArrayList<ISurfaceGeo> isurfaces

Constructor Detail

### IRhino3dm.Brep

    public IRhino3dm.Brep()

### IRhino3dm.Brep

    public IRhino3dm.Brep(IBrep brep)

### IRhino3dm.Brep

    public IRhino3dm.Brep(ISurfaceGeo srf)

Method Detail

### getClassUUID

    public IRhino3dm.UUID getClassUUID()

  Overrides:
    `getClassUUID` in class `IRhino3dm.Geometry`

### getType

    public int getType()

  Overrides:
    `getType` in class `IRhino3dm.RhinoObject`

### getTrimLoops

    public void getTrimLoops(ISurfaceGeo srf,
                             java.util.ArrayList<java.util.ArrayList<ITrimCurve>> trimLoops,
                             java.util.ArrayList<IRhino3dm.BrepLoop.Type> loopType)

### isEdgeTouching

    public boolean isEdgeTouching(ICurveGeo crv1,
                                  ICurveGeo crv2)

### isEdgeTouching

    public boolean isEdgeTouching(ICurveGeo crv1,
                                  ICurveGeo crv2,
                                  double reso)

### getSharedICurve

    public ICurveGeo getSharedICurve(ICurveGeo crv,
                                     ISurfaceGeo currentSrf)

### getCurve3

    public IRhino3dm.Curve getCurve3(ICurveGeo crv)

### getBrepEdge

    public IRhino3dm.BrepEdge getBrepEdge(IRhino3dm.Curve c)

### getBrepTrim

    public IRhino3dm.BrepTrim getBrepTrim(IRhino3dm.BrepEdge edge)

### getSharedVertex

    public IRhino3dm.BrepVertex getSharedVertex(IVec pt)

### getSharedVertex

    public IRhino3dm.BrepVertex getSharedVertex(IVec pt,
                                                double reso)

### addSurface

    public void addSurface(ISurfaceGeo srf,
                           IBounds ibbox)

### addSingleSurface

    public void addSingleSurface(ISurfaceGeo srf,
                                 IBounds ibbox)

### checkTrimLoopDirection

    public static void checkTrimLoopDirection(java.util.ArrayList<java.util.ArrayList<ITrimCurve>> trimLoops,
                                              java.util.ArrayList<IRhino3dm.BrepLoop.Type> loopType)

### read

    public void read(IRhino3dm.Rhino3dmFile context,
                     java.io.InputStream is)
              throws java.io.IOException

  Overrides:
    `read` in class `IRhino3dm.RhinoObject`
  Throws:
    `java.io.IOException`

### readOld200

    public void readOld200(IRhino3dm.Rhino3dmFile context,
                           java.io.InputStream is)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(IRhino3dm.Rhino3dmFile context,
                      java.io.OutputStream os,
                      java.util.zip.CRC32 crc)
               throws java.io.IOException

  Overrides:
    `write` in class `IRhino3dm.RhinoObject`
  Throws:
    `java.io.IOException`

### getLoopsForFace

    public IRhino3dm.BrepLoopArray getLoopsForFace(int faceIndex)

### getTrimsForLoop

    public IRhino3dm.BrepTrimArray getTrimsForLoop(IRhino3dm.BrepLoop loop)

### getCurves2ForLoop

    public IRhino3dm.CurveArray getCurves2ForLoop(IRhino3dm.BrepLoop loop)

### getTrimCurvesForLoop

    public java.util.ArrayList<ITrimCurve> getTrimCurvesForLoop(IRhino3dm.BrepLoop loop,
                                                                IRhino3dm.Rhino3dmFile context,
                                                                IServerI s,
                                                                ISurfaceI srf)

### createIObject

    public IObject createIObject(IRhino3dm.Rhino3dmFile context,
                                 IServerI s)

  Overrides:
    `createIObject` in class `IRhino3dm.RhinoObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD